# openapi-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 0.0.3
- Package version: 1.0.0
- Generator version: 7.5.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import openapi_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import openapi_client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import openapi_client
from openapi_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to https://apisix.dev.hitachi-ai.io
# See configuration.py for a list of all supported configuration parameters.
configuration = openapi_client.Configuration(
    host = "https://apisix.dev.hitachi-ai.io"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): bearerAuth
configuration = openapi_client.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with openapi_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = openapi_client.CompletionGenerationApi(api_client)
    chat_completion_request = openapi_client.ChatCompletionRequest() # ChatCompletionRequest | 

    try:
        # Returns result of LLM inference on the given query (with optional use of the knowledge database)
        api_response = api_instance.chat_completion(chat_completion_request)
        print("The response of CompletionGenerationApi->chat_completion:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling CompletionGenerationApi->chat_completion: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://apisix.dev.hitachi-ai.io*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CompletionGenerationApi* | [**chat_completion**](docs/CompletionGenerationApi.md#chat_completion) | **POST** /v1/chat/completions | Returns result of LLM inference on the given query (with optional use of the knowledge database)
*CompletionGenerationApi* | [**direct_completion**](docs/CompletionGenerationApi.md#direct_completion) | **POST** /v1/direct/completions | Returns result of direct call to the LLM on the given query. No addtional query transformations are applied


## Documentation For Models

 - [Author](docs/Author.md)
 - [ChatCompletionRequest](docs/ChatCompletionRequest.md)
 - [ChatCompletionResponse](docs/ChatCompletionResponse.md)
 - [DirectCompletionRequest](docs/DirectCompletionRequest.md)
 - [DirectCompletionResponse](docs/DirectCompletionResponse.md)
 - [Document](docs/Document.md)
 - [DocumentMetadata](docs/DocumentMetadata.md)
 - [Error](docs/Error.md)
 - [Message](docs/Message.md)
 - [ModelParams](docs/ModelParams.md)
 - [ModelSettings](docs/ModelSettings.md)
 - [Position](docs/Position.md)
 - [PromptConfig](docs/PromptConfig.md)
 - [RAGConfig](docs/RAGConfig.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="bearerAuth"></a>
### bearerAuth

- **Type**: Bearer authentication (JWT)


## Author




